Upstream information

CVE-2021-46823 at MITRE

Description

python-ldap before 3.4.0 is vulnerable to a denial of service when ldap.schema is used for untrusted schema definitions, because of a regular expression denial of service (ReDoS) flaw in the LDAP schema parser. By sending crafted regex input, a remote authenticated attacker could exploit this vulnerability to cause a denial of service condition.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1200704 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 python-ldap Not affected
SUSE Enterprise Storage 6 python-ldap Not affected
SUSE Enterprise Storage 7 python-ldap Not affected
SUSE Linux Enterprise Desktop 15 SP3 python-ldap Not affected
SUSE Linux Enterprise Desktop 15 SP4 python-ldap Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS python-ldap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS python-ldap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS python-ldap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS python-ldap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 python-ldap Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 python-ldap Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 python-ldap Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 python-ldap Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS python-ldap Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS python-ldap Not affected
SUSE Linux Enterprise Server 15 SP3 python-ldap Not affected
SUSE Linux Enterprise Server 15 SP4 python-ldap Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 python-ldap Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 python-ldap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 python-ldap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 python-ldap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 python-ldap Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 python-ldap Already fixed
SUSE Linux Enterprise Storage 7.1 python-ldap Not affected
SUSE Manager Proxy 4.1 python-ldap Not affected
SUSE Manager Proxy 4.2 python-ldap Not affected
SUSE Manager Proxy 4.3 python-ldap Already fixed
SUSE Manager Retail Branch Server 4.1 python-ldap Not affected
SUSE Manager Retail Branch Server 4.2 python-ldap Not affected
SUSE Manager Retail Branch Server 4.3 python-ldap Already fixed
SUSE Manager Server 4.1 python-ldap Not affected
SUSE Manager Server 4.2 python-ldap Not affected
SUSE Manager Server 4.3 python-ldap Already fixed
SUSE OpenStack Cloud 9 python-ldap Not affected
SUSE OpenStack Cloud Crowbar 9 python-ldap Not affected